% $Id: resamplePerf.tex,v 1.1 2001/04/02 20:37:01 Philip.Charlton Exp $

%% PERFORMANCE STATISTICS

%% Start of test RESAMPLEPERF01
\pagebreak
\renewcommand{\arraystretch}{1.5}       
\noindent
\begin{tabular}{@{}p{10em}@{}p{24em}@{}}
{\bf Test Case:}        & RESAMPLEPERF01 \\
{\bf Purpose: }         & Generate performance statistics for {\tt resample} 
                          (downsample by 2 
                          as a function of sequence length).\\  
{\bf Tester: }          & \rule{15em}{.1pt} \\
{\bf Test machine: }    & \rule{15em}{.1pt} \\
{\bf Date (mm/dd/yy): } & \rule{2em}{.1pt}/\rule{2em}{.1pt}/\rule{2em}{.1pt}
\hspace{2em} {\bf Time: } \rule{6em}{.1pt}\\
\end{tabular}
\renewcommand{\arraystretch}{1} 
\vspace{1em}

\noindent   
{\bf NOTE:} 
This test should be performed for real float (R4), real double (R8), 
complex float (C8), and complex double (C16) data types.
\vspace{1em}
            
\noindent   
{\bf ENVIRONMENT AND PREREQUISITES}
\vspace{1em} 
             
\noindent    
The following input data sets are required for this test:
\begin{enumerate}
\item N8388608XX.sim
\end{enumerate} 
where XX is either R4, R8, C8, or C16.
\vspace{1em} 
             
\noindent    
{\bf PROCEDURE}
\begin{enumerate}
             
\item Indicate which data type is currently being tested.\\
\hspace*{\fill} {\bf R4/ R8/ C8/ C16}
             
\item Issue the ldas command
\begin{verbatim}
ldasJob { -name user -password ***** -email user@host }
  { conditionData 
    -inputprotocol file:/mdc/input/N8388608XX.sim
    -inputformat ilwd 
    -returnprotocol file:/mdc/output/RESAMPLEPERF01XX.ilwd
    -returnformat { ilwd ascii } 
    -resultname {none} 
    -resultcomment {none}
    -aliases { xraw = chan_01:data } 
    -algorithms { 
      x = slice(xraw,0,1024,1);
      t00 = user_time();

      y = resample(1,2,x);
      y = resample(1,2,x);
      y = resample(1,2,x);
      y = resample(1,2,x);

      t04 = user_time();
      t04 = sub(t04,t00);     
      duration = div(t04,4);
      intermediate(,,time,downsample by 2 on size 1024);

      x = slice(xraw,0,2048,1);
      t00 = user_time();

      y = resample(1,2,x);
      y = resample(1,2,x);
      y = resample(1,2,x);
      y = resample(1,2,x);

      t04 = user_time();
      t04 = sub(t04,t00);     
      duration = div(t04,4);
      intermediate(,,time,downsample by 2 on size 2048);

      x = slice(xraw,0,4096,1);
      t00 = user_time();

      y = resample(1,2,x);
      y = resample(1,2,x);
      y = resample(1,2,x);
      y = resample(1,2,x);

      t04 = user_time();
      t04 = sub(t04,t00);     
      duration = div(t04,4);
      intermediate(,,time,downsample by 2 on size 4096);

      x = slice(xraw,0,8192,1);
      t00 = user_time();

      y = resample(1,2,x);
      y = resample(1,2,x);
      y = resample(1,2,x);
      y = resample(1,2,x);

      t04 = user_time();
      t04 = sub(t04,t00);     
      duration = div(t04,4);
      intermediate(,,time,downsample by 2 on size 8192);

      x = slice(xraw,0,16384,1);
      t00 = user_time();

      y = resample(1,2,x);
      y = resample(1,2,x);
      y = resample(1,2,x);
      y = resample(1,2,x);

      t04 = user_time();
      t04 = sub(t04,t00);     
      duration = div(t04,4);
      intermediate(,,time,downsample by 2 on size 16384);

      x = slice(xraw,0,32768,1);
      t00 = user_time();

      y = resample(1,2,x);
      y = resample(1,2,x);
      y = resample(1,2,x);
      y = resample(1,2,x);

      t04 = user_time();
      t04 = sub(t04,t00);     
      duration = div(t04,4);
      intermediate(,,time,downsample by 2 on size 32768);

      x = slice(xraw,0,65536,1);
      t00 = user_time();

      y = resample(1,2,x);
      y = resample(1,2,x);
      y = resample(1,2,x);
      y = resample(1,2,x);

      t04 = user_time();
      t04 = sub(t04,t00);     
      duration = div(t04,4);
      intermediate(,,time,downsample by 2 on size 65536);

      x = slice(xraw,0,131072,1);
      t00 = user_time();

      y = resample(1,2,x);
      y = resample(1,2,x);
      y = resample(1,2,x);
      y = resample(1,2,x);

      t04 = user_time();
      t04 = sub(t04,t00);     
      duration = div(t04,4);
      intermediate(,,time,downsample by 2 on size 131072);

      x = slice(xraw,0,262144,1);
      t00 = user_time();

      y = resample(1,2,x);
      y = resample(1,2,x);
      y = resample(1,2,x);
      y = resample(1,2,x);

      t04 = user_time();
      t04 = sub(t04,t00);     
      duration = div(t04,4);
      intermediate(,,time,downsample by 2 on size 262144);

      x = slice(xraw,0,524288,1);
      t00 = user_time();

      y = resample(1,2,x);
      y = resample(1,2,x);
      y = resample(1,2,x);
      y = resample(1,2,x);

      t04 = user_time();
      t04 = sub(t04,t00);     
      duration = div(t04,4);
      intermediate(,,time,downsample by 2 on size 524288);

      x = slice(xraw,0,1048576,1);
      t00 = user_time();

      y = resample(1,2,x);
      y = resample(1,2,x);
      y = resample(1,2,x);
      y = resample(1,2,x);

      t04 = user_time();
      t04 = sub(t04,t00);     
      duration = div(t04,4);
      intermediate(,,time,downsample by 2 on size 1048576);

      x = slice(xraw,0,2097152,1);
      t00 = user_time();

      y = resample(1,2,x);
      y = resample(1,2,x);
      y = resample(1,2,x);
      y = resample(1,2,x);

      t04 = user_time();
      t04 = sub(t04,t00);     
      duration = div(t04,4);
      intermediate(,,time,downsample by 2 on size 2097152);

      x = slice(xraw,0,4194304,1);
      t00 = user_time();

      y = resample(1,2,x);
      y = resample(1,2,x);
      y = resample(1,2,x);
      y = resample(1,2,x);

      t04 = user_time();
      t04 = sub(t04,t00);     
      duration = div(t04,4);
      intermediate(,,time,downsample by 2 on size 4194304);

      x = slice(xraw,0,8388608,1);
      t00 = user_time();

      y = resample(1,2,x);
      y = resample(1,2,x);
      y = resample(1,2,x);
      y = resample(1,2,x);

      t04 = user_time();
      t04 = sub(t04,t00);     
      duration = div(t04,4);
      intermediate(,,time,downsample by 2 on size 8388606);
   }         
}
\end{verbatim}
\hspace*{\fill} {\bf Pass / Fail}

\item Create, using the data recorded here and any convenient plotting
program ({\em e.g.,} excel), a figure showing the mean time to downsample by 2
a data sequence vs.\ its length.\\ 
\hspace*{\fill} {\bf Pass / Fail}

\end{enumerate}

\noindent
{\bf SUMMARY}
\vspace{1em}
             
\noindent    
{\bf Known faults encountered -- list bug IDs: }\hrulefill\\
\vspace{1em} 
\hrule       
\vspace{1em} 
\noindent    
{\bf New faults submitted -- list bug IDs: }\hrulefill \\
\vspace{1em} 
\hrule       
\vspace{2em} 
             
\noindent
{\bf TEST RESULT } \hfill {\bf Pass / Fail }\\
%% End of test RESAMPLEPERF01

%% Start of test RESAMPLEPERF02
\pagebreak
\renewcommand{\arraystretch}{1.5}       
\noindent
\begin{tabular}{@{}p{10em}@{}p{24em}@{}}
{\bf Test Case:}        & RESAMPLEPERF02 \\
{\bf Purpose: }         & Generate performance statistics for {\tt resample} 
                          (downsample by 8 
                          as a function of sequence length).\\  
{\bf Tester: }          & \rule{15em}{.1pt} \\
{\bf Test machine: }    & \rule{15em}{.1pt} \\
{\bf Date (mm/dd/yy): } & \rule{2em}{.1pt}/\rule{2em}{.1pt}/\rule{2em}{.1pt}
\hspace{2em} {\bf Time: } \rule{6em}{.1pt}\\
\end{tabular}
\renewcommand{\arraystretch}{1} 
\vspace{1em}

\noindent   
{\bf NOTE:} 
This test should be performed for real float (R4), real double (R8), 
complex float (C8), and complex double (C16) data types.
\vspace{1em}
            
\noindent   
{\bf ENVIRONMENT AND PREREQUISITES}
\vspace{1em} 
             
\noindent    
The following input data sets are required for this test:
\begin{enumerate}
\item N8388608XX.sim
\end{enumerate} 
where XX is either R4, R8, C8, or C16.
\vspace{1em} 
             
\noindent    
{\bf PROCEDURE}
\begin{enumerate}
             
\item Indicate which data type is currently being tested.\\
\hspace*{\fill} {\bf R4/ R8/ C8/ C16}
             
\item Issue the ldas command
\begin{verbatim}
ldasJob { -name user -password ***** -email user@host }
  { conditionData 
    -inputprotocol file:/mdc/input/N8388608XX.sim
    -inputformat ilwd 
    -returnprotocol file:/mdc/output/RESAMPLEPERF02XX.ilwd
    -returnformat { ilwd ascii } 
    -resultname {none} 
    -resultcomment {none}
    -aliases { xraw = chan_01:data } 
    -algorithms { 
      x = slice(xraw,0,1024,1);
      t00 = user_time();

      y = resample(1,8,x);
      y = resample(1,8,x);
      y = resample(1,8,x);
      y = resample(1,8,x);

      t04 = user_time();
      t04 = sub(t04,t00);     
      duration = div(t04,4);
      intermediate(,,time,downsample by 8 on size 1024);

      x = slice(xraw,0,2048,1);
      t00 = user_time();

      y = resample(1,8,x);
      y = resample(1,8,x);
      y = resample(1,8,x);
      y = resample(1,8,x);

      t04 = user_time();
      t04 = sub(t04,t00);     
      duration = div(t04,4);
      intermediate(,,time,downsample by 8 on size 2048);

      x = slice(xraw,0,4096,1);
      t00 = user_time();

      y = resample(1,8,x);
      y = resample(1,8,x);
      y = resample(1,8,x);
      y = resample(1,8,x);

      t04 = user_time();
      t04 = sub(t04,t00);     
      duration = div(t04,4);
      intermediate(,,time,downsample by 8 on size 4096);

      x = slice(xraw,0,8192,1);
      t00 = user_time();

      y = resample(1,8,x);
      y = resample(1,8,x);
      y = resample(1,8,x);
      y = resample(1,8,x);

      t04 = user_time();
      t04 = sub(t04,t00);     
      duration = div(t04,4);
      intermediate(,,time,downsample by 8 on size 8192);

      x = slice(xraw,0,16384,1);
      t00 = user_time();

      y = resample(1,8,x);
      y = resample(1,8,x);
      y = resample(1,8,x);
      y = resample(1,8,x);

      t04 = user_time();
      t04 = sub(t04,t00);     
      duration = div(t04,4);
      intermediate(,,time,downsample by 8 on size 16384);

      x = slice(xraw,0,32768,1);
      t00 = user_time();

      y = resample(1,8,x);
      y = resample(1,8,x);
      y = resample(1,8,x);
      y = resample(1,8,x);

      t04 = user_time();
      t04 = sub(t04,t00);     
      duration = div(t04,4);
      intermediate(,,time,downsample by 8 on size 32768);

      x = slice(xraw,0,65536,1);
      t00 = user_time();

      y = resample(1,8,x);
      y = resample(1,8,x);
      y = resample(1,8,x);
      y = resample(1,8,x);

      t04 = user_time();
      t04 = sub(t04,t00);     
      duration = div(t04,4);
      intermediate(,,time,downsample by 8 on size 65536);

      x = slice(xraw,0,131072,1);
      t00 = user_time();

      y = resample(1,8,x);
      y = resample(1,8,x);
      y = resample(1,8,x);
      y = resample(1,8,x);

      t04 = user_time();
      t04 = sub(t04,t00);     
      duration = div(t04,4);
      intermediate(,,time,downsample by 8 on size 131072);

      x = slice(xraw,0,262144,1);
      t00 = user_time();

      y = resample(1,8,x);
      y = resample(1,8,x);
      y = resample(1,8,x);
      y = resample(1,8,x);

      t04 = user_time();
      t04 = sub(t04,t00);     
      duration = div(t04,4);
      intermediate(,,time,downsample by 8 on size 262144);

      x = slice(xraw,0,524288,1);
      t00 = user_time();

      y = resample(1,8,x);
      y = resample(1,8,x);
      y = resample(1,8,x);
      y = resample(1,8,x);

      t04 = user_time();
      t04 = sub(t04,t00);     
      duration = div(t04,4);
      intermediate(,,time,downsample by 8 on size 524288);

      x = slice(xraw,0,1048576,1);
      t00 = user_time();

      y = resample(1,8,x);
      y = resample(1,8,x);
      y = resample(1,8,x);
      y = resample(1,8,x);

      t04 = user_time();
      t04 = sub(t04,t00);     
      duration = div(t04,4);
      intermediate(,,time,downsample by 8 on size 1048576);

      x = slice(xraw,0,2097152,1);
      t00 = user_time();

      y = resample(1,8,x);
      y = resample(1,8,x);
      y = resample(1,8,x);
      y = resample(1,8,x);

      t04 = user_time();
      t04 = sub(t04,t00);     
      duration = div(t04,4);
      intermediate(,,time,downsample by 8 on size 2097152);

      x = slice(xraw,0,4194304,1);
      t00 = user_time();

      y = resample(1,8,x);
      y = resample(1,8,x);
      y = resample(1,8,x);
      y = resample(1,8,x);

      t04 = user_time();
      t04 = sub(t04,t00);     
      duration = div(t04,4);
      intermediate(,,time,downsample by 8 on size 4194304);

      x = slice(xraw,0,8388608,1);
      t00 = user_time();

      y = resample(1,8,x);
      y = resample(1,8,x);
      y = resample(1,8,x);
      y = resample(1,8,x);

      t04 = user_time();
      t04 = sub(t04,t00);     
      duration = div(t04,4);
      intermediate(,,time,downsample by 8 on size 8388606);
   }         
}
\end{verbatim}
\hspace*{\fill} {\bf Pass / Fail}

\item Create, using the data recorded here and any convenient plotting
program ({\em e.g.,} excel), a figure showing the mean time to downsample by 8
a data sequence vs.\ its length.\\ 
\hspace*{\fill} {\bf Pass / Fail}

\end{enumerate}

\noindent
{\bf SUMMARY}
\vspace{1em}
             
\noindent    
{\bf Known faults encountered -- list bug IDs: }\hrulefill\\
\vspace{1em} 
\hrule       
\vspace{1em} 
\noindent    
{\bf New faults submitted -- list bug IDs: }\hrulefill \\
\vspace{1em} 
\hrule       
\vspace{2em} 
             
\noindent
{\bf TEST RESULT } \hfill {\bf Pass / Fail }\\
%% End of test RESAMPLEPERF02

%% Start of test RESAMPLEPERF03
\pagebreak
\renewcommand{\arraystretch}{1.5}       
\noindent
\begin{tabular}{@{}p{10em}@{}p{24em}@{}}
{\bf Test Case:}        & RESAMPLEPERF03 \\
{\bf Purpose: }         & Generate performance statistics for {\tt resample} 
                          (upsample by 2 
                          as a function of sequence length).\\  
{\bf Tester: }          & \rule{15em}{.1pt} \\
{\bf Test machine: }    & \rule{15em}{.1pt} \\
{\bf Date (mm/dd/yy): } & \rule{2em}{.1pt}/\rule{2em}{.1pt}/\rule{2em}{.1pt}
\hspace{2em} {\bf Time: } \rule{6em}{.1pt}\\
\end{tabular}
\renewcommand{\arraystretch}{1} 
\vspace{1em}

\noindent   
{\bf NOTE:} 
This test should be performed for real float (R4), real double (R8), 
complex float (C8), and complex double (C16) data types.
\vspace{1em}
            
\noindent   
{\bf ENVIRONMENT AND PREREQUISITES}
\vspace{1em} 
             
\noindent    
The following input data sets are required for this test:
\begin{enumerate}
\item N8388608XX.sim
\end{enumerate} 
where XX is either R4, R8, C8, or C16.
\vspace{1em} 
             
\noindent    
{\bf PROCEDURE}
\begin{enumerate}
             
\item Indicate which data type is currently being tested.\\
\hspace*{\fill} {\bf R4/ R8/ C8/ C16}
             
\item Issue the ldas command
\begin{verbatim}
ldasJob { -name user -password ***** -email user@host }
  { conditionData 
    -inputprotocol file:/mdc/input/N8388608XX.sim
    -inputformat ilwd 
    -returnprotocol file:/mdc/output/RESAMPLEPERF03XX.ilwd
    -returnformat { ilwd ascii } 
    -resultname {none} 
    -resultcomment {none}
    -aliases { xraw = chan_01:data } 
    -algorithms { 
      x = slice(xraw,0,1024,1);
      t00 = user_time();

      y = resample(2,1,x);
      y = resample(2,1,x);
      y = resample(2,1,x);
      y = resample(2,1,x);

      t04 = user_time();
      t04 = sub(t04,t00);     
      duration = div(t04,4);
      intermediate(,,time,upsample by 2 on size 1024);

      x = slice(xraw,0,2048,1);
      t00 = user_time();

      y = resample(2,1,x);
      y = resample(2,1,x);
      y = resample(2,1,x);
      y = resample(2,1,x);

      t04 = user_time();
      t04 = sub(t04,t00);     
      duration = div(t04,4);
      intermediate(,,time,upsample by 2 on size 2048);

      x = slice(xraw,0,4096,1);
      t00 = user_time();

      y = resample(2,1,x);
      y = resample(2,1,x);
      y = resample(2,1,x);
      y = resample(2,1,x);

      t04 = user_time();
      t04 = sub(t04,t00);     
      duration = div(t04,4);
      intermediate(,,time,upsample by 2 on size 4096);

      x = slice(xraw,0,8192,1);
      t00 = user_time();

      y = resample(2,1,x);
      y = resample(2,1,x);
      y = resample(2,1,x);
      y = resample(2,1,x);

      t04 = user_time();
      t04 = sub(t04,t00);     
      duration = div(t04,4);
      intermediate(,,time,upsample by 2 on size 8192);

      x = slice(xraw,0,16384,1);
      t00 = user_time();

      y = resample(2,1,x);
      y = resample(2,1,x);
      y = resample(2,1,x);
      y = resample(2,1,x);

      t04 = user_time();
      t04 = sub(t04,t00);     
      duration = div(t04,4);
      intermediate(,,time,upsample by 2 on size 16384);

      x = slice(xraw,0,32768,1);
      t00 = user_time();

      y = resample(2,1,x);
      y = resample(2,1,x);
      y = resample(2,1,x);
      y = resample(2,1,x);

      t04 = user_time();
      t04 = sub(t04,t00);     
      duration = div(t04,4);
      intermediate(,,time,upsample by 2 on size 32768);

      x = slice(xraw,0,65536,1);
      t00 = user_time();

      y = resample(2,1,x);
      y = resample(2,1,x);
      y = resample(2,1,x);
      y = resample(2,1,x);

      t04 = user_time();
      t04 = sub(t04,t00);     
      duration = div(t04,4);
      intermediate(,,time,upsample by 2 on size 65536);

      x = slice(xraw,0,131072,1);
      t00 = user_time();

      y = resample(2,1,x);
      y = resample(2,1,x);
      y = resample(2,1,x);
      y = resample(2,1,x);

      t04 = user_time();
      t04 = sub(t04,t00);     
      duration = div(t04,4);
      intermediate(,,time,upsample by 2 on size 131072);

      x = slice(xraw,0,262144,1);
      t00 = user_time();

      y = resample(2,1,x);
      y = resample(2,1,x);
      y = resample(2,1,x);
      y = resample(2,1,x);

      t04 = user_time();
      t04 = sub(t04,t00);     
      duration = div(t04,4);
      intermediate(,,time,upsample by 2 on size 262144);

      x = slice(xraw,0,524288,1);
      t00 = user_time();

      y = resample(2,1,x);
      y = resample(2,1,x);
      y = resample(2,1,x);
      y = resample(2,1,x);

      t04 = user_time();
      t04 = sub(t04,t00);     
      duration = div(t04,4);
      intermediate(,,time,upsample by 2 on size 524288);

      x = slice(xraw,0,1048576,1);
      t00 = user_time();

      y = resample(2,1,x);
      y = resample(2,1,x);
      y = resample(2,1,x);
      y = resample(2,1,x);

      t04 = user_time();
      t04 = sub(t04,t00);     
      duration = div(t04,4);
      intermediate(,,time,upsample by 2 on size 1048576);

      x = slice(xraw,0,2097152,1);
      t00 = user_time();

      y = resample(2,1,x);
      y = resample(2,1,x);
      y = resample(2,1,x);
      y = resample(2,1,x);

      t04 = user_time();
      t04 = sub(t04,t00);     
      duration = div(t04,4);
      intermediate(,,time,upsample by 2 on size 2097152);

      x = slice(xraw,0,4194304,1);
      t00 = user_time();

      y = resample(2,1,x);
      y = resample(2,1,x);
      y = resample(2,1,x);
      y = resample(2,1,x);

      t04 = user_time();
      t04 = sub(t04,t00);     
      duration = div(t04,4);
      intermediate(,,time,upsample by 2 on size 4194304);
   }         
}
\end{verbatim}
\hspace*{\fill} {\bf Pass / Fail}

\item Create, using the data recorded here and any convenient plotting
program ({\em e.g.,} excel), a figure showing the mean time to upsample by 2
a data sequence vs.\ its length.\\ 
\hspace*{\fill} {\bf Pass / Fail}

\end{enumerate}

\noindent
{\bf SUMMARY}
\vspace{1em}
             
\noindent    
{\bf Known faults encountered -- list bug IDs: }\hrulefill\\
\vspace{1em} 
\hrule       
\vspace{1em} 
\noindent    
{\bf New faults submitted -- list bug IDs: }\hrulefill \\
\vspace{1em} 
\hrule       
\vspace{2em} 
             
\noindent
{\bf TEST RESULT } \hfill {\bf Pass / Fail }\\
%% End of test RESAMPLEPERF03

%% Start of test RESAMPLEPERF04
\pagebreak
\renewcommand{\arraystretch}{1.5}       
\noindent
\begin{tabular}{@{}p{10em}@{}p{24em}@{}}
{\bf Test Case:}        & RESAMPLEPERF04 \\
{\bf Purpose: }         & Generate performance statistics for {\tt resample} 
                          (upsample by 8 
                          as a function of sequence length).\\  
{\bf Tester: }          & \rule{15em}{.1pt} \\
{\bf Test machine: }    & \rule{15em}{.1pt} \\
{\bf Date (mm/dd/yy): } & \rule{2em}{.1pt}/\rule{2em}{.1pt}/\rule{2em}{.1pt}
\hspace{2em} {\bf Time: } \rule{6em}{.1pt}\\
\end{tabular}
\renewcommand{\arraystretch}{1} 
\vspace{1em}

\noindent   
{\bf NOTE:} 
This test should be performed for real float (R4), real double (R8), 
complex float (C8), and complex double (C16) data types.
\vspace{1em}
            
\noindent   
{\bf ENVIRONMENT AND PREREQUISITES}
\vspace{1em} 
             
\noindent    
The following input data sets are required for this test:
\begin{enumerate}
\item N8388608XX.sim
\end{enumerate} 
where XX is either R4, R8, C8, or C16.
\vspace{1em} 
             
\noindent    
{\bf PROCEDURE}
\begin{enumerate}
             
\item Indicate which data type is currently being tested.\\
\hspace*{\fill} {\bf R4/ R8/ C8/ C16}
             
\item Issue the ldas command
\begin{verbatim}
ldasJob { -name user -password ***** -email user@host }
  { conditionData 
    -inputprotocol file:/mdc/input/N8388608XX.sim
    -inputformat ilwd 
    -returnprotocol file:/mdc/output/RESAMPLEPERF04XX.ilwd
    -returnformat { ilwd ascii } 
    -resultname {none} 
    -resultcomment {none}
    -aliases { xraw = chan_01:data } 
    -algorithms { 
      x = slice(xraw,0,1024,1);
      t00 = user_time();

      y = resample(8,1,x);
      y = resample(8,1,x);
      y = resample(8,1,x);
      y = resample(8,1,x);

      t04 = user_time();
      t04 = sub(t04,t00);     
      duration = div(t04,4);
      intermediate(,,time,upsample by 8 on size 1024);

      x = slice(xraw,0,2048,1);
      t00 = user_time();

      y = resample(8,1,x);
      y = resample(8,1,x);
      y = resample(8,1,x);
      y = resample(8,1,x);

      t04 = user_time();
      t04 = sub(t04,t00);     
      duration = div(t04,4);
      intermediate(,,time,upsample by 8 on size 2048);

      x = slice(xraw,0,4096,1);
      t00 = user_time();

      y = resample(8,1,x);
      y = resample(8,1,x);
      y = resample(8,1,x);
      y = resample(8,1,x);

      t04 = user_time();
      t04 = sub(t04,t00);     
      duration = div(t04,4);
      intermediate(,,time,upsample by 8 on size 4096);

      x = slice(xraw,0,8192,1);
      t00 = user_time();

      y = resample(8,1,x);
      y = resample(8,1,x);
      y = resample(8,1,x);
      y = resample(8,1,x);

      t04 = user_time();
      t04 = sub(t04,t00);     
      duration = div(t04,4);
      intermediate(,,time,upsample by 8 on size 8192);

      x = slice(xraw,0,16384,1);
      t00 = user_time();

      y = resample(8,1,x);
      y = resample(8,1,x);
      y = resample(8,1,x);
      y = resample(8,1,x);

      t04 = user_time();
      t04 = sub(t04,t00);     
      duration = div(t04,4);
      intermediate(,,time,upsample by 8 on size 16384);

      x = slice(xraw,0,32768,1);
      t00 = user_time();

      y = resample(8,1,x);
      y = resample(8,1,x);
      y = resample(8,1,x);
      y = resample(8,1,x);

      t04 = user_time();
      t04 = sub(t04,t00);     
      duration = div(t04,4);
      intermediate(,,time,upsample by 8 on size 32768);

      x = slice(xraw,0,65536,1);
      t00 = user_time();

      y = resample(8,1,x);
      y = resample(8,1,x);
      y = resample(8,1,x);
      y = resample(8,1,x);

      t04 = user_time();
      t04 = sub(t04,t00);     
      duration = div(t04,4);
      intermediate(,,time,upsample by 8 on size 65536);

      x = slice(xraw,0,131072,1);
      t00 = user_time();

      y = resample(8,1,x);
      y = resample(8,1,x);
      y = resample(8,1,x);
      y = resample(8,1,x);

      t04 = user_time();
      t04 = sub(t04,t00);     
      duration = div(t04,4);
      intermediate(,,time,upsample by 8 on size 131072);

      x = slice(xraw,0,262144,1);
      t00 = user_time();

      y = resample(8,1,x);
      y = resample(8,1,x);
      y = resample(8,1,x);
      y = resample(8,1,x);

      t04 = user_time();
      t04 = sub(t04,t00);     
      duration = div(t04,4);
      intermediate(,,time,upsample by 8 on size 262144);

      x = slice(xraw,0,524288,1);
      t00 = user_time();

      y = resample(8,1,x);
      y = resample(8,1,x);
      y = resample(8,1,x);
      y = resample(8,1,x);

      t04 = user_time();
      t04 = sub(t04,t00);     
      duration = div(t04,4);
      intermediate(,,time,upsample by 8 on size 524288);

      x = slice(xraw,0,1048576,1);
      t00 = user_time();

      y = resample(8,1,x);
      y = resample(8,1,x);
      y = resample(8,1,x);
      y = resample(8,1,x);

      t04 = user_time();
      t04 = sub(t04,t00);     
      duration = div(t04,4);
      intermediate(,,time,upsample by 8 on size 1048576);

   }         
}
\end{verbatim}
\hspace*{\fill} {\bf Pass / Fail}

\item Create, using the data recorded here and any convenient plotting
program ({\em e.g.,} excel), a figure showing the mean time to upsample by 8
a data sequence vs.\ its length.\\ 
\hspace*{\fill} {\bf Pass / Fail}

\end{enumerate}

\noindent
{\bf SUMMARY}
\vspace{1em}
             
\noindent    
{\bf Known faults encountered -- list bug IDs: }\hrulefill\\
\vspace{1em} 
\hrule       
\vspace{1em} 
\noindent    
{\bf New faults submitted -- list bug IDs: }\hrulefill \\
\vspace{1em} 
\hrule       
\vspace{2em} 
             
\noindent
{\bf TEST RESULT } \hfill {\bf Pass / Fail }\\
%% End of test RESAMPLEPERF04

%%% Local Variables: 
%%% mode: latex
%%% TeX-master: t
%%% End: 
